Debian Bug report logs - #225663
[PR 13544] [3.3.3 regression] "conflicting types" for enums in different scopes

version graph

Package: g++-3.3; Maintainer for g++-3.3 is (unknown);

Reported by: Andre Woebbeking <Woebbeking@web.de>

Date: Wed, 31 Dec 2003 13:33:01 UTC

Severity: important

Tags: sid, upstream

Found in version 1:3.3.3-0pre1

Fixed in version gcc-3.3/1:3.3.3ds2-0pre2

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR13544

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Woebbeking@web.de, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#225663; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to Andre Woebbeking <Woebbeking@web.de>:
New Bug report received and forwarded. Copy sent to Woebbeking@web.de, Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andre Woebbeking <Woebbeking@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: g++-3.3: "conflicting types" for enums in different scopes
Date: Wed, 31 Dec 2003 12:52:24 +0100
Package: g++-3.3
Version: 1:3.3.3-0pre1
Severity: important
Tags: sid

Hi,

the following example

enum Enum1
{
    None
};

namespace Test
{
    enum Enum2
    {
        None
    };
}

int main()
{
}

compiles with 

test.cpp:11: error: conflicting types for `None'
test.cpp:4: error: previous declaration as `Enum1 None'


g++-3.2 compiles without any problem.

			


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux terra.sol.org 2.4.23-1-k7 #1 Mon Dec 1 00:05:09 EST 2003 i686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro

Versions of packages g++-3.3 depends on:
ii  gcc-3.3                    1:3.3.3-0pre1 The GNU C compiler
ii  gcc-3.3-base               1:3.3.3-0pre1 The GNU Compiler Collection (base 
ii  libc6                      2.3.2.ds1-10  GNU C Library: Shared libraries an
ii  libstdc++5-3.3-dev         1:3.3.3-0pre1 The GNU Standard C++ Library v3 (d

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#225663; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to Falk Hueffner <falk.hueffner@student.uni-tuebingen.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 225663@bugs.debian.org (full text, mbox):

From: Falk Hueffner <falk.hueffner@student.uni-tuebingen.de>
To: 225663@bugs.debian.org
Subject: Re: Bug#225663: g++-3.3: "conflicting types" for enums in different scopes
Date: 31 Dec 2003 16:35:16 +0100
Andre Woebbeking <Woebbeking@web.de> writes:

> test.cpp:11: error: conflicting types for `None'
> test.cpp:4: error: previous declaration as `Enum1 None'

I cannot reproduce this with g++-3.3 (GCC) 3.3.2 (Debian), so it must
have been introduced recently.

-- 
	Falk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#225663; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to Ken Foskey <foskey@optushome.com.au>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 225663@bugs.debian.org (full text, mbox):

From: Ken Foskey <foskey@optushome.com.au>
To: 225663@bugs.debian.org
Subject: conflict with enum and function as well.
Date: Thu, 01 Jan 2004 14:15:07 +1100
Below are messages.  enum contains remove within a named enum and remove
is a function.  In c++ there is no conflict.

Making: ../../unxlngi4.pro/slo/basicparser.obj
ccache g++-3.3 -fmessage-length=0 -c -I.  -I. -I../inc -I../../source/inc
-I../../inc -I../../unx/inc -I../../unxlngi4.pro/inc -I.
-I/data/office/solver/680/unxlngi4.pro/inc/stl
-I/data/office/solver/680/unxlngi4.pro/inc/external
-I/data/office/solver/680/unxlngi4.pro/inc -I/data/office/solenv/unxlngi4/inc
-I/data/office/solenv/inc -I/data/office/res
-I/data/office/solver/680/unxlngi4.pro/inc/stl -I/data/office/solenv/inc/Xp31
-I/opt/jdk/include -I/opt/jdk/include/linux
-I/opt/jdk/include/native_threads/include -I/usr/X11R6/include     -I.
-I../../res -I. -g -g -O   -pipe -mcpu=pentiumpro -fpermissive -fno-rtti
-include preinclude.h -fexceptions -fno-enforce-eh-specs   -fpic -DLINUX -DUNX
-DVCL -DGCC -DC300 -DINTEL -DGXX_INCLUDE_PATH=/usr/include/c++/3.3 -DCVER=C300
-D_USE_NAMESPACE -DGLIBC=2 -DX86 -D_PTHREADS -D_REENTRANT -DNEW_SOLAR
-D_USE_NAMESPACE=1 -DSTLPORT_VERSION=400 -D__DMAKE -DUNIX -DCPPU_ENV=gcc3
-DSUPD=680 -DBUILD=8727 -DDEBUG -DPRODUCT -DNDEBUG -DPRODUCT_FULL
-DOSL_DEBUG_LEVEL=2 -DEXCEPTIONS_ON -DCUI -DSOLAR_JAVA -DSRC680  -DSHAREDLIB
-D_DLL_  -DMULTITHREAD  -o ../../unxlngi4.pro/slo/basicparser.o
/data/office/configmgr/source/xml/basicparser.cxx
In file included from /data/office/configmgr/source/xml/elementparser.hxx:66,
                 from /data/office/configmgr/source/xml/basicparser.hxx:66,
                 from /data/office/configmgr/source/xml/basicparser.cxx:62:
/data/office/configmgr/source/xml/elementinfo.hxx:119: error: `remove'
redeclared as different kind of symbol
/usr/include/stdio.h:152: error: previous declaration of `int remove(const char*)'
dmake:  Error code 1, while making '../../unxlngi4.pro/slo/basicparser.obj'

------- Additional comments from waratah Wed Dec 31 15:42:08 -0800 2003
-------
Code is...

        namespace Operation
        {
            enum Enum
            {
                none,

                modify,
                clear,

                replace,
                remove,

                unknown
            };
	    }
-- 
Thanks
KenF
OpenOffice.org developer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#225663; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to Ken Foskey <foskey@optushome.com.au>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 225663@bugs.debian.org (full text, mbox):

From: Ken Foskey <foskey@optushome.com.au>
To: 225663@bugs.debian.org
Subject: gcc 3.3 pre0 was fine however pre1 was not
Date: Thu, 01 Jan 2004 21:14:55 +1100
Just to isolate the problem some more the issue was NOT present in
gcc3.3.3pre0 it appeared in pre1.


-- 
Thanks
KenF
OpenOffice.org developer




Noted your statement that Bug has been forwarded to http://gcc.gnu.org/PR13544. Request was from Matthias Klose <doko@mail.net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matthias Klose <doko@mail.net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Matthias Klose <doko@mail.net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#225663; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to doko@debian.org:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #31 received at 225663-quiet@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@mail.net.local>
To: control@bugs.debian.org
Cc: 225663-quiet@bugs.debian.org
Subject: gcc: submitted Debian report #225663 to gcc-gnats as PR 13544
Date: Fri, 02 Jan 2004 12:23:59 +0100
# submitted Debian report #225663 to gcc-gnats as PR 13544
# http://gcc.gnu.org/PR13544

forwarded 225663 http://gcc.gnu.org/PR13544
retitle 225663 [PR 13544] [3.3.3 regression] "conflicting types" for enums in different scopes
tags 225663 + upstream
thanks



Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andre Woebbeking <Woebbeking@web.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 225663-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 225663-close@bugs.debian.org
Subject: Bug#225663: fixed in gcc-3.3 1:3.3.3ds2-0pre2
Date: Sat, 10 Jan 2004 11:33:16 -0500
Source: gcc-3.3
Source-Version: 1:3.3.3ds2-0pre2

We believe that the bug you reported is fixed in the latest version of
gcc-3.3, which is due to be installed in the Debian FTP archive:

cpp-3.3-doc_3.3.3-0pre2_all.deb
  to pool/main/g/gcc-3.3/cpp-3.3-doc_3.3.3-0pre2_all.deb
cpp-3.3_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/cpp-3.3_3.3.3-0pre2_i386.deb
fastjar_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/fastjar_3.3.3-0pre2_i386.deb
fixincludes_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/fixincludes_3.3.3-0pre2_i386.deb
g++-3.3_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/g++-3.3_3.3.3-0pre2_i386.deb
g77-3.3-doc_3.3.3-0pre2_all.deb
  to pool/main/g/gcc-3.3/g77-3.3-doc_3.3.3-0pre2_all.deb
g77-3.3_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/g77-3.3_3.3.3-0pre2_i386.deb
gcc-3.3-base_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3-base_3.3.3-0pre2_i386.deb
gcc-3.3-doc_3.3.3-0pre2_all.deb
  to pool/main/g/gcc-3.3/gcc-3.3-doc_3.3.3-0pre2_all.deb
gcc-3.3_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.3-0pre2_i386.deb
gcc-3.3_3.3.3ds2-0pre2.diff.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.3ds2-0pre2.diff.gz
gcc-3.3_3.3.3ds2-0pre2.dsc
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.3ds2-0pre2.dsc
gcc-3.3_3.3.3ds2.orig.tar.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.3ds2.orig.tar.gz
gcj-3.3_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/gcj-3.3_3.3.3-0pre2_i386.deb
gij-3.3_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/gij-3.3_3.3.3-0pre2_i386.deb
gnat-3.3-doc_3.3.3-0pre2_all.deb
  to pool/main/g/gcc-3.3/gnat-3.3-doc_3.3.3-0pre2_all.deb
gnat-3.3_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/gnat-3.3_3.3.3-0pre2_i386.deb
gobjc-3.3_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/gobjc-3.3_3.3.3-0pre2_i386.deb
gpc-2.1-3.3-doc_3.3.3.20030830-0pre2_all.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3-doc_3.3.3.20030830-0pre2_all.deb
gpc-2.1-3.3_3.3.3.20030830-0pre2_i386.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3_3.3.3.20030830-0pre2_i386.deb
libffi2-dev_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/libffi2-dev_3.3.3-0pre2_i386.deb
libffi2_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/libffi2_3.3.3-0pre2_i386.deb
libg2c0_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/libg2c0_3.3.3-0pre2_i386.deb
libgcc1_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/libgcc1_3.3.3-0pre2_i386.deb
libgcj-common_3.3.3-0pre2_all.deb
  to pool/main/g/gcc-3.3/libgcj-common_3.3.3-0pre2_all.deb
libgcj4-dev_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/libgcj4-dev_3.3.3-0pre2_i386.deb
libgcj4_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/libgcj4_3.3.3-0pre2_i386.deb
libobjc1_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/libobjc1_3.3.3-0pre2_i386.deb
libstdc++5-3.3-dbg_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dbg_3.3.3-0pre2_i386.deb
libstdc++5-3.3-dev_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dev_3.3.3-0pre2_i386.deb
libstdc++5-3.3-doc_3.3.3-0pre2_all.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-doc_3.3.3-0pre2_all.deb
libstdc++5-3.3-pic_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-pic_3.3.3-0pre2_i386.deb
libstdc++5_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5_3.3.3-0pre2_i386.deb
protoize_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/protoize_3.3.3-0pre2_i386.deb
treelang-3.3_3.3.3-0pre2_i386.deb
  to pool/main/g/gcc-3.3/treelang-3.3_3.3.3-0pre2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 225663@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-3.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 10 Jan 2004 12:33:59 +0100
Source: gcc-3.3
Binary: libgnat3.15 gcc-3.3-nof gcc-3.3 libobjc1 libgcc1 lib64g2c0 libstdc++5-3.3-doc libgcj4 gpc-2.1-3.3-doc libstdc++5 cpp-3.3-doc protoize gcc-3.3-hppa64 cpp-3.3 libstdc++5-3.3-dbg g77-3.3-doc gpc-2.1-3.3 g77-3.3 libgcj4-dev gcc-3.3-doc lib64objc1 lib64ffi2 libstdc++5-3.3-dev libffi2-dev gcj-3.3 libgcj-common gobjc-3.3 lib64stdc++5 gcc-3.3-soft-float lib64gcj4 treelang-3.3 libg2c0-dev lib64gcc1 fastjar lib64gnat3.15 fixincludes libg2c0 gij-3.3 libstdc++5-3.3-pic gcc-3.3-base g++-3.3 gnat-3.3 libffi2 gnat-3.3-doc
Architecture: source i386 all
Version: 1:3.3.3ds2-0pre2
Distribution: unstable
Urgency: medium
Maintainer: Debian GCC maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-3.3    - The GNU C preprocessor
 cpp-3.3-doc - Documentation for the GNU C preprocessor (cpp)
 fastjar    - Jar creation utility
 fixincludes - Fix non-ANSI header files
 g++-3.3    - The GNU C++ compiler
 g77-3.3    - The GNU Fortran 77 compiler
 g77-3.3-doc - Documentation for the GNU Fortran compiler (g77)
 gcc-3.3    - The GNU C compiler
 gcc-3.3-base - The GNU Compiler Collection (base package)
 gcc-3.3-doc - Documentation for the GNU compilers (gcc, gobjc, g++)
 gcj-3.3    - The GNU compiler for Java(TM)
 gij-3.3    - The GNU Java bytecode interpreter
 gnat-3.3   - The GNU Ada compiler
 gnat-3.3-doc - Documentation for the GNU Ada compiler (gnat)
 gobjc-3.3  - The GNU Objective-C compiler
 gpc-2.1-3.3 - The GNU Pascal compiler
 gpc-2.1-3.3-doc - Documentation for the GNU Pascal compiler (gpc)
 libffi2    - Foreign Function Interface library runtime
 libffi2-dev - Foreign Function Interface library (development files)
 libg2c0    - Runtime library for GNU Fortran 77 applications
 libgcc1    - GCC support library
 libgcj-common - Java runtime library (common files)
 libgcj4    - Java runtime library for use with gcj
 libgcj4-dev - Java development headers and static library for use with gcj
 libobjc1   - Runtime library for GNU Objective-C applications
 libstdc++5 - The GNU Standard C++ Library v3
 libstdc++5-3.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++5-3.3-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++5-3.3-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++5-3.3-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
 treelang-3.3 - The GNU Treelang compiler
Closes: 207516 224576 225663 226273
Changes: 
 gcc-3.3 (1:3.3.3ds2-0pre2) unstable; urgency=medium
 .
   * Update to gcc-3.3.3 CVS 20040110.
     - Fixes compilation not terminating at -O1 on hppa (closes: #207516).
   * Add backport to fix PR12441 (closes: #224576).
   * Revert backport to 3.3 branch to fix PR12862, which introduced another
     regression (PR13544). Closes: #225663.
   * Tighten dependency of gnat-3.3 on gcc-3.3 (closes: #226273).
   * Disable treelang build for cross compiler build.
   * Disable pascal on alpha and ia64 architectures (currently broken).
Files: 
 af58112c69cd68a091d795fbe178c281 2300 devel standard gcc-3.3_3.3.3ds2-0pre2.dsc
 56628c99fd363e1a06ed79633390f544 23944999 devel standard gcc-3.3_3.3.3ds2.orig.tar.gz
 1464e534229b6408510a231054048336 2263907 devel standard gcc-3.3_3.3.3ds2-0pre2.diff.gz
 ea32e97c5186d6b54585d18ff4ba90ad 82924 doc optional cpp-3.3-doc_3.3.3-0pre2_all.deb
 6cb918184cd0a870989140d5bbf16612 57846 libs optional libgcj-common_3.3.3-0pre2_all.deb
 df2c6fdb6307c2a775708c8f553e19eb 3149046 doc optional libstdc++5-3.3-doc_3.3.3-0pre2_all.deb
 9d67dcc4477a606bf906c25d0589b400 268986 doc optional g77-3.3-doc_3.3.3-0pre2_all.deb
 82433d08b1af3cd4027ce3a6966cd777 328498 doc optional gnat-3.3-doc_3.3.3-0pre2_all.deb
 2a33be9d233f92aa4fe41e5435ce7e1d 795182 doc optional gpc-2.1-3.3-doc_3.3.3.20030830-0pre2_all.deb
 83169273890c66906389c79078fde1a1 598092 doc optional gcc-3.3-doc_3.3.3-0pre2_all.deb
 d688012e788a63a9410cb7b9b887d3c5 143802 devel required gcc-3.3-base_3.3.3-0pre2_i386.deb
 5d528160db37669f1a716057e9e6eba9 73038 libs required libgcc1_3.3.3-0pre2_i386.deb
 66c19fa2a728b0932b1bbd704ffc2497 1389218 interpreters standard cpp-3.3_3.3.3-0pre2_i386.deb
 dae1d5edd162e537b7bf0de7f2c672d9 23246 devel optional protoize_3.3.3-0pre2_i386.deb
 79b048f6251ae14bddd6f39b1f7476a2 48128 devel optional fixincludes_3.3.3-0pre2_i386.deb
 b7db1e536f8a484cbe87dca81b27ac8a 1465410 devel optional gobjc-3.3_3.3.3-0pre2_i386.deb
 02f987655591a2a6fd8f6e90e2014da9 132562 libs optional libobjc1_3.3.3-0pre2_i386.deb
 35ab09fff11e8931cf1a963a0a947042 13048 devel optional gij-3.3_3.3.3-0pre2_i386.deb
 8e1d7012fc91985005ceb26b0f2bb878 3979164 libs optional libgcj4_3.3.3-0pre2_i386.deb
 cb2d17b4c4e3ffa8b4d726c545a3687e 1692386 devel optional gcj-3.3_3.3.3-0pre2_i386.deb
 38c6dc18782a7fa376fbf26f90455ec6 4749120 libdevel optional libgcj4-dev_3.3.3-0pre2_i386.deb
 d7377b4168afe36c1d8b1b6f713dbdf2 108976 devel extra fastjar_3.3.3-0pre2_i386.deb
 78d62e703841e6aab4426666f555f543 68402 libs optional libffi2_3.3.3-0pre2_i386.deb
 7c0c30dc177def71462306cf03ddab7a 11034 libdevel optional libffi2-dev_3.3.3-0pre2_i386.deb
 f6eda02b537c96801636f6686bb25090 1769924 devel standard g++-3.3_3.3.3-0pre2_i386.deb
 2f5dfe771dcac95eeb85cbfbb2535b83 285272 base required libstdc++5_3.3.3-0pre2_i386.deb
 a5d1b68575c291086b9cfa17dc551228 769556 libdevel standard libstdc++5-3.3-dev_3.3.3-0pre2_i386.deb
 b4dc60abf8ecfa9fb52aef1636afef68 322540 libdevel extra libstdc++5-3.3-pic_3.3.3-0pre2_i386.deb
 1a1ce4c59accd7e2de80f0cb62679542 5052332 libdevel extra libstdc++5-3.3-dbg_3.3.3-0pre2_i386.deb
 a99fdf091593474f78afe02fe8be478a 50266 libs optional libg2c0_3.3.3-0pre2_i386.deb
 aeefd7ee5731ef1d0224b06d45fd8430 1612980 devel optional g77-3.3_3.3.3-0pre2_i386.deb
 9cf903f1515fc9f6354361acff54cbf5 6272856 devel optional gnat-3.3_3.3.3-0pre2_i386.deb
 5a9e89fac76f8a9530a7aa86908714f6 1287104 devel optional treelang-3.3_3.3.3-0pre2_i386.deb
 7f69dd0c4d60f122d79e14327e5f59da 1928908 devel optional gpc-2.1-3.3_3.3.3.20030830-0pre2_i386.deb
 c47994d4af0b6e1ff53fa1ade1de875a 1331902 devel standard gcc-3.3_3.3.3-0pre2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAAA+GStlRaw+TLJwRAtQSAJ4lkMQ4SJf4XV5rXQi5K9GB/MZP8QCgsxK7
Ap/PJzBrJqxM8c9Xe3LP3QI=
=Jv0l
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:25:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.